summaryrefslogtreecommitdiff
path: root/tests/stty/basic-1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/stty/basic-1')
-rwxr-xr-xtests/stty/basic-17
1 files changed, 6 insertions, 1 deletions
diff --git a/tests/stty/basic-1 b/tests/stty/basic-1
index 780b43678..c53410f50 100755
--- a/tests/stty/basic-1
+++ b/tests/stty/basic-1
@@ -30,7 +30,12 @@ stty --save > $saved_state || fail=1
stty `cat $saved_state` || fail=1
# This would segfault prior to sh-utils-2.0j.
-stty erase -
+stty erase - || fail=1
+
+# These would improperly ignore invalid options through coreutils 5.2.1.
+stty -F 2>/dev/null && fail=1
+stty -raw -F no/such/file 2>/dev/null && fail=1
+stty -raw -a 2>/dev/null && fail=1
# Build a list of all boolean options stty accepts on this system.
options=`stty -a|tail -n +2|tr ';' '\n'|sed '/ = /d;s/^ //;s/-//g'`